#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

%:
	dh $@ --buildsystem=qmake

override_dh_auto_clean:
	rm -fr miscellaneous/qpdfview.desktop translations/*.qm moc* objects*
	dh_auto_clean

override_dh_auto_configure:
	lrelease qpdfview.pro
	dh_auto_configure --buildsystem=qmake -- \
	        DEFINES+="_FILE_OFFSET_BITS=64" qpdfview.pro

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_missing:
	dh_missing --fail-missing
